%define anolis_release 8

Name:           perl-Import-Into
Version:        1.002005
Release:        %{anolis_release}%{?dist}
Summary:        Import packages into other packages
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Import-Into
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/Import-Into-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Module Runtime
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More)
# Runtime
 
%description
Loading Import::Into creates a global method import::into which you can call on
any package to import it into another package.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.
 
%prep
%setup -q -n Import-Into-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
 
%install
%{make_install}
%{_fixperms} -c %{buildroot}
 
%check
make test
 
%files
%{perl_vendorlib}/Import/
%{_mandir}/man3/Import::Into.3*

%files doc
%doc Changes README

%changelog
* Thu Feb 2 2023 Funda Wang <fundawang@yeah.net> - 1.002005-8
- Import package for anolis 23
